timeouts:
  job:
    minutes: 70
  connection:
    minutes: 2
  actions:
    finalize:
      seconds: 60
context:
  arch: arm64
  extra_nfsroot_args: ',vers=3'
  extra_kernel_args: 'console=ttyFIQ0,1500000n8 rootwait systemd.log_level=warning '
device_type: rk3399-rock-pi-4b
job_name: --unknown--ltp-smoketest
priority: 25
visibility: public
metadata:
  git_ref: unknown
  git_repo: unknown
  git_sha: unknown
  git_describe: unknown
  kernel_version: unknown
  kernel-config: unknown
  build-url: unknown
  artifact-location: unknown
  toolchain: unknown
  email-notification: unknown
  build_name: unknown
  ltp-smoketest-tests__url: unknown
  ltp-smoketest-tests__version: unknown
  ltp-smoketest-tests__revision: unknown
actions:
- deploy:
    timeout:
      minutes: 40
    to: tftp
    kernel:
      url: 
        https://storage.tuxsuite.com/public/linaro/lkft/builds/2ccezEGzVpK0WCjpeXkUPOEm1eu/Image.gz
      compression: gz
      type: image
    dtb:
      url: 
        https://storage.tuxsuite.com/public/linaro/lkft/builds/2ccezEGzVpK0WCjpeXkUPOEm1eu/dtbs/rockchip/rk3399-rock-pi-4b.dtb
    modules:
      url: 
        https://storage.tuxsuite.com/public/linaro/lkft/builds/2ccezEGzVpK0WCjpeXkUPOEm1eu/modules.tar.xz
      compression: xz
    nfsrootfs:
      url: https://storage.tuxboot.com/debian/bookworm/arm64/rootfs.tar.xz
      format: tar
      compression: xz
      overlays:
        over:
          url: 
            https://storage.tuxboot.com/overlays/debian/bookworm/arm64/ltp/20240129/ltp.tar.xz
          path: /
          format: tar
          compression: xz
    os: oe
- boot:
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - root@(.*):[/~]#
    timeout:
      minutes: 15
    method: u-boot
    commands: nfs
- test:
    timeout:
      minutes: 15
    definitions:
    - repository: https://github.com/Linaro/test-definitions.git
      from: git
      lava-signal: kmsg
      path: automated/linux/ltp/ltp.yaml
      parameters:
        SKIP_INSTALL: 'true'
        TST_CMDFILES: smoketest
        SKIPFILE: skipfile-lkft.yaml
        BOARD: rk3399-rock-pi-4b
        BRANCH: default
        ENVIRONMENT: production
        TIMEOUT_MULTIPLIER: '10'
        LTP_TMPDIR: /scratch
        SHARD_NUMBER: '1'
        SHARD_INDEX: '1'
      name: ltp-smoketest
